Package owl.automaton.acceptance

## Class ParityAcceptance

- java.lang.Object
- - owl.automaton.acceptance.OmegaAcceptance
  - - owl.automaton.acceptance.ParityAcceptance

-     public final class ParityAcceptance
      extends OmegaAcceptance

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ParityAcceptance.Parity` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParityAcceptance​(int colours, ParityAcceptance.Parity parity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `acceptanceSets()` |
    `BitSet` | `acceptingSet()` |
    `jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance>` | `booleanExpression()` | Builds the canonical representation as `BooleanExpression`.
    `ParityAcceptance` | `complement()` |
    `boolean` | `emptyIsAccepting()` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `boolean` | `isAccepting​(int priority)` |
    `boolean` | `isWellFormedEdge​(Edge<?> edge)` | This method determines if the given edge is a well defined edge for this acceptance condition.
    `String` | `name()` |
    `List<Object>` | `nameExtra()` |
    `ParityAcceptance.Parity` | `parity()` |
    `BitSet` | `rejectingSet()` |
    `ParityAcceptance` | `withAcceptanceSets​(int colours)` |
    `ParityAcceptance` | `withParity​(ParityAcceptance.Parity parity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class owl.automaton.acceptance.OmegaAcceptance

      `isWellFormedAutomaton, toString`

- - ### Constructor Detail

    - #### ParityAcceptance

          public ParityAcceptance​(@Nonnegative
                                  int colours,
                                  ParityAcceptance.Parity parity)

  - ### Method Detail

    - #### name

          public String name()

      Specified by:
        `name` in class `OmegaAcceptance`

    - #### nameExtra

          public List<Object> nameExtra()

      Overrides:
        `nameExtra` in class `OmegaAcceptance`

    - #### acceptingSet

          public BitSet acceptingSet()

      Specified by:
        `acceptingSet` in class `OmegaAcceptance`

    - #### rejectingSet

          public BitSet rejectingSet()

      Specified by:
        `rejectingSet` in class `OmegaAcceptance`

    - #### parity

          public ParityAcceptance.Parity parity()

    - #### withParity

          public ParityAcceptance withParity​(ParityAcceptance.Parity parity)

    - #### complement

          public ParityAcceptance complement()

    - #### emptyIsAccepting

          public boolean emptyIsAccepting()

    - #### acceptanceSets

          public int acceptanceSets()

      Specified by:
        `acceptanceSets` in class `OmegaAcceptance`

    - #### booleanExpression

          public jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance> booleanExpression()

      Description copied from class: `OmegaAcceptance`
      Builds the canonical representation as `BooleanExpression`.
      Specified by:
        `booleanExpression` in class `OmegaAcceptance`

    - #### isAccepting

          public boolean isAccepting​(int priority)

    - #### isWellFormedEdge

          public boolean isWellFormedEdge​(Edge<?> edge)

      Description copied from class: `OmegaAcceptance`
      This method determines if the given edge is a well defined edge for this acceptance condition. E.g. a parity condition might check that the edge has at most one acceptance index and the index is less than the colour count.
      Specified by:
        `isWellFormedEdge` in class `OmegaAcceptance`
      Parameters:
        `edge` - The edge to be checked.
      Returns:
        Whether the edge acceptance is well defined.

    - #### withAcceptanceSets

          public ParityAcceptance withAcceptanceSets​(@Nonnegative
                                                     int colours)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`